package com.huimv.admin.session;

import java.util.Date;

/**
 * 登录的token信息
 * @author guojian
 */
public class AccessToken {
    private String token;
    private String loginIp;
    private Date created;
    private String accountName;
    private Integer code;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    private String message;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

	public String getLoginIp() {
		return loginIp;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

    @Override
    public String toString() {
        return "AccessToken{" +
                "token='" + token + '\'' +
                ", loginIp='" + loginIp + '\'' +
                ", created=" + created +
                ", accountName='" + accountName + '\'' +
                ", code=" + code +
                ", message='" + message + '\'' +
                '}';
    }
}
